%define oname notify-python

Summary: Notification system based on libnotify
Name: python-notify
Version: 0.1.1
Release: %mkrel 16
Source0: http://www.galago-project.org/files/releases/source/notify-python/%{oname}-%{version}.tar.bz2
# (Fedora) fix building against libnotify-0.7
Patch0:  libnotify07.patch
Patch1:  python-notify-0.1.1-fix-GTK-symbols.patch
License: LGPL
Group: Development/Python
Url: http://www.galago-project.org/news/index.php
BuildRequires: pygtk2.0-devel
BuildRequires: libnotify-devel
BuildRequires: pkgconfig(libffi)

%description
This is the python version of the desktop notification framework.

%prep
%setup -q -n %oname-%version
%autopatch -p1

%build
%configure2_5x
touch src/pynotify.override
%make

%install
%makeinstall_std

%files
%doc NEWS AUTHORS ChangeLog
%py_platsitedir/gtk-2.0/pynotify/
%_datadir/pygtk/2.0/defs/pynotify.defs
%_libdir/pkgconfig/notify-python.pc


%changelog
* Mon Feb 01 2016 umeabot <umeabot> 0.1.1-16.mga6
+ Revision: 930090
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-15.mga5
+ Revision: 746812
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.1-14.mga5
+ Revision: 729154
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-13.mga5
+ Revision: 688181
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 0.1.1-12.mga5
+ Revision: 661591
- Fix libffi BuildRequires

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.1.1-10.mga4
+ Revision: 517782
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-9.mga3
+ Revision: 379163
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 16 2012 philippem <philippem> 0.1.1-8.mga3
+ Revision: 294501
- fix #6514 using Fedora patch

* Mon Jun 13 2011 ahmad <ahmad> 0.1.1-7.mga2
+ Revision: 105508
- Add a patch to fix the build with libnotify-0.7 (Fedora)

* Sun Jan 23 2011 ennael <ennael> 0.1.1-6.mga1
+ Revision: 35585
- imported package python-notify


* Mon Nov 01 2010 Jani Välimaa <wally@mandriva.org> 0.1.1-6mdv2011.0
+ Revision: 591681
- rebuild for python 2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-5mdv2010.1
+ Revision: 523839
- rebuilt for 2010.1

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 0.1.1-4mdv2009.1
+ Revision: 319468
- rebuild with python 2.6

* Mon Sep 01 2008 Tiago Salem <salem@mandriva.com.br> 0.1.1-3mdv2009.0
+ Revision: 278648
- fix BuildRequires to libffi
- force regeneration of pynotify.c. fixes attach_to_status_icon bug
- bump release

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-2mdv2009.0
+ Revision: 225135
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.1.1-1mdv2008.1
+ Revision: 136454
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2007.0
+ Revision: 107828
- Import python-notify

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.1.1-1mdv2007.1
- initial package

